<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Task 20.100 registration form</title>
    <!-- Nhúng thư viện bootstrap 4-->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.min.js"></script>
</head>
<body>
    <div class="container jumbotron">
        <form id="form-registration">
        <div class="row">
            <div class="col-sm-12">
                <h4 class="text-center text-primary">Registration Form - Form đăng kí nhập cảnh</h4>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-12">
                <div class="row">
                    <div class="col-sm-6">
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>First Name <span class = "text-danger">(*)</span></label>
                            </div>
                            <div class="col-sm-8">
                                <input class="form-control bg-light" id="inp-first-name" placeholder="Nhập first name" >
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Passport <span class = "text-danger">(*)</span></label>
                            </div>
                            <div class="col-sm-8">
                                <input class="form-control bg-light" id="inp-passport" placeholder="Nhập passport" >
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-6">
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Last Name <span class = "text-danger">(*)</span></label>
                            </div>
                            <div class="col-sm-8">
                                <input class="form-control bg-light" id="inp-last-name" placeholder="Nhập last name" >
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Email</label>
                            </div>
                            <div class="col-sm-8">
                                <input class="form-control bg-light" id="inp-email" placeholder="Nhập email" >
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-6">
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Birthday <span class = "text-danger">(*)</span></label>
                            </div>
                            <div class="col-sm-8">
                                <input class="form-control bg-light" id="inp-birthday" placeholder="Nhập birthday" >
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Country <span class = "text-danger">(*)</span></label>
                            </div>
                            <div class="col-sm-8">
                                <input class="form-control bg-light" id="inp-country" placeholder="Nhập country" >
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-6">
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Gender <span class = "text-danger">(*)</span></label>
                            </div>
                            <div class="col-sm-8">
                                <div class = "row">
                                    <div class = "col-sm-3">
                                        <input type="radio" name="select-gender" value="male">
                                        <label for="male-gender">Male</label>
                                    </div>
                                    <div class = "col-sm-4">
                                        <input type="radio" name="select-gender" value="female">
                                        <label for="female-gender">Female</label>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Region</label>
                            </div>
                            <div class="col-sm-8">
                                <input class="form-control bg-light" id="inp-region" placeholder="Nhập region" >
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row form-group">
            <div class="col-sm-2">
                <label>Subject</label>
            </div>
            <div class="col-sm-10">
                <textarea class="form-control" id="inp-subject"></textarea>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-12 text-right">
                <button type="submit" class="btn btn-success">Send</button>
            </div>
        </div>
    </form>
    </div>
</body>
<script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */

    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    $(document).ready(function(){
        $("#form-registration").on('submit', function(even){
            even.preventDefault();
            onFormRegistrationSubmit();
    })
    })
    
    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */ 
    //hàm xử lý sự kiện submit form
    function onFormRegistrationSubmit(){
        "use strict";
        //b1 khai báo đối tượng lưu trữ dữ liệu, thu thập dữ liệu
        var vPersonObj = {
            firstName: "",
            lastName: "", 
            birthay: 0,
            gender: "",
            country: "",
            region: "",
            passport: "",
            email: "",
            subject: ""
        }
        getDataPersonObj(vPersonObj);
        //b2 kiểm tra dữ liệu
        var vIsCheck = validateDataPersonObj(vPersonObj);
        if(vIsCheck){
            //b3 hiển thị thông tin ra console
            showDataToConsole(vPersonObj);
        }
        
    }
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    //hàm thu thập dữ liệu
    function getDataPersonObj(paramPersonObj){
        "use strict";
        paramPersonObj.firstName = $("#inp-first-name").val().trim();
        paramPersonObj.lastName = $("#inp-last-name").val().trim();
        paramPersonObj.birthay = $("#inp-birthday").val().trim();
        paramPersonObj.gender = $('input[name="select-gender"]:checked').val();
        paramPersonObj.country = $("#inp-country").val().trim();
        paramPersonObj.region = $("#inp-region").val().trim();
        paramPersonObj.passport = $("#inp-passport").val().trim();
        paramPersonObj.email = $("#inp-email").val().trim();
        paramPersonObj.subject = $("#inp-subject").val().trim();
    };
    //hàm kiểm tra dữ liệu person obj
    function validateDataPersonObj(paramPersonObj){
        "use strict";
        if(paramPersonObj.firstName == ""){
            alert("Bạn chưa nhập First Name");
            $("#inp-first-name").focus();
            return false;
        }
        if(paramPersonObj.lastName == ""){
            alert("Bạn chưa nhập Last Name");
            $("#inp-last-name").focus();
            return false;
        }
        if(paramPersonObj.birthay == 0){
            alert("Bạn chưa nhập Birthday");
            $("#inp-birthday").focus();
            return false;
        }
        if(!paramPersonObj.gender){
            alert("Bạn chưa chon giới tính");
            return false;
        }
        if(paramPersonObj.passport == ""){
            alert("Bạn chưa nhập passport");
            $("#inp-passport").focus();
            return false;
        }
        if(paramPersonObj.country == ""){
            alert("Bạn chưa chọn country");
            return false;
        }
        return true;
    }
    //hàm hiển thị thông tin person Obj ra console
    function showDataToConsole(paramPersonObj){
        "use strict";
        console.log(paramPersonObj.firstName);
        console.log(paramPersonObj.lastName);
        console.log(paramPersonObj.birthay);
        console.log(paramPersonObj.gender);
        console.log(paramPersonObj.country);
        console.log(paramPersonObj.region);
        console.log(paramPersonObj.passport);
        console.log(paramPersonObj.email);
        console.log(paramPersonObj.subject);
    }
</script>
</html>